Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network0.27.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
0.27.0.0
Broadcast address
0.27.127.255
First usable
0.27.0.1
Last usable
0.27.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
This network 0.0.0.0/8
Not routed; 0.0.0.0 means "any address" in settings
Old class
A (default /8)
As numbers
Hex 001B0000 · Integer 1769472 to 1802239
Reverse DNS zones
0.27.0.in-addr.arpa
1.27.0.in-addr.arpa
2.27.0.in-addr.arpa
3.27.0.in-addr.arpa
4.27.0.in-addr.arpa
5.27.0.in-addr.arpa
6.27.0.in-addr.arpa
7.27.0.in-addr.arpa
8.27.0.in-addr.arpa
9.27.0.in-addr.arpa
10.27.0.in-addr.arpa
11.27.0.in-addr.arpa
12.27.0.in-addr.arpa
13.27.0.in-addr.arpa
14.27.0.in-addr.arpa
15.27.0.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000000.00011011.00000000.000000000.27.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00000000.00011011.00000000.000000000.27.0.0
Broadcast00000000.00011011.01111111.111111110.27.127.255
Split into smaller subnets/24

0.27.0.0/17 makes 128 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
10.27.0.0/240.27.0.1 to 0.27.0.2540.27.0.255254
20.27.1.0/240.27.1.1 to 0.27.1.2540.27.1.255254
30.27.2.0/240.27.2.1 to 0.27.2.2540.27.2.255254
40.27.3.0/240.27.3.1 to 0.27.3.2540.27.3.255254
50.27.4.0/240.27.4.1 to 0.27.4.2540.27.4.255254
60.27.5.0/240.27.5.1 to 0.27.5.2540.27.5.255254
70.27.6.0/240.27.6.1 to 0.27.6.2540.27.6.255254
80.27.7.0/240.27.7.1 to 0.27.7.2540.27.7.255254
90.27.8.0/240.27.8.1 to 0.27.8.2540.27.8.255254
100.27.9.0/240.27.9.1 to 0.27.9.2540.27.9.255254
110.27.10.0/240.27.10.1 to 0.27.10.2540.27.10.255254
120.27.11.0/240.27.11.1 to 0.27.11.2540.27.11.255254
130.27.12.0/240.27.12.1 to 0.27.12.2540.27.12.255254
140.27.13.0/240.27.13.1 to 0.27.13.2540.27.13.255254
150.27.14.0/240.27.14.1 to 0.27.14.2540.27.14.255254
160.27.15.0/240.27.15.1 to 0.27.15.2540.27.15.255254
170.27.16.0/240.27.16.1 to 0.27.16.2540.27.16.255254
180.27.17.0/240.27.17.1 to 0.27.17.2540.27.17.255254
190.27.18.0/240.27.18.1 to 0.27.18.2540.27.18.255254
200.27.19.0/240.27.19.1 to 0.27.19.2540.27.19.255254
210.27.20.0/240.27.20.1 to 0.27.20.2540.27.20.255254
220.27.21.0/240.27.21.1 to 0.27.21.2540.27.21.255254
230.27.22.0/240.27.22.1 to 0.27.22.2540.27.22.255254
240.27.23.0/240.27.23.1 to 0.27.23.2540.27.23.255254
250.27.24.0/240.27.24.1 to 0.27.24.2540.27.24.255254
260.27.25.0/240.27.25.1 to 0.27.25.2540.27.25.255254
270.27.26.0/240.27.26.1 to 0.27.26.2540.27.26.255254
280.27.27.0/240.27.27.1 to 0.27.27.2540.27.27.255254
290.27.28.0/240.27.28.1 to 0.27.28.2540.27.28.255254
300.27.29.0/240.27.29.1 to 0.27.29.2540.27.29.255254
310.27.30.0/240.27.30.1 to 0.27.30.2540.27.30.255254
320.27.31.0/240.27.31.1 to 0.27.31.2540.27.31.255254
330.27.32.0/240.27.32.1 to 0.27.32.2540.27.32.255254
340.27.33.0/240.27.33.1 to 0.27.33.2540.27.33.255254
350.27.34.0/240.27.34.1 to 0.27.34.2540.27.34.255254
360.27.35.0/240.27.35.1 to 0.27.35.2540.27.35.255254
370.27.36.0/240.27.36.1 to 0.27.36.2540.27.36.255254
380.27.37.0/240.27.37.1 to 0.27.37.2540.27.37.255254
390.27.38.0/240.27.38.1 to 0.27.38.2540.27.38.255254
400.27.39.0/240.27.39.1 to 0.27.39.2540.27.39.255254
410.27.40.0/240.27.40.1 to 0.27.40.2540.27.40.255254
420.27.41.0/240.27.41.1 to 0.27.41.2540.27.41.255254
430.27.42.0/240.27.42.1 to 0.27.42.2540.27.42.255254
440.27.43.0/240.27.43.1 to 0.27.43.2540.27.43.255254
450.27.44.0/240.27.44.1 to 0.27.44.2540.27.44.255254
460.27.45.0/240.27.45.1 to 0.27.45.2540.27.45.255254
470.27.46.0/240.27.46.1 to 0.27.46.2540.27.46.255254
480.27.47.0/240.27.47.1 to 0.27.47.2540.27.47.255254
490.27.48.0/240.27.48.1 to 0.27.48.2540.27.48.255254
500.27.49.0/240.27.49.1 to 0.27.49.2540.27.49.255254
510.27.50.0/240.27.50.1 to 0.27.50.2540.27.50.255254
520.27.51.0/240.27.51.1 to 0.27.51.2540.27.51.255254
530.27.52.0/240.27.52.1 to 0.27.52.2540.27.52.255254
540.27.53.0/240.27.53.1 to 0.27.53.2540.27.53.255254
550.27.54.0/240.27.54.1 to 0.27.54.2540.27.54.255254
560.27.55.0/240.27.55.1 to 0.27.55.2540.27.55.255254
570.27.56.0/240.27.56.1 to 0.27.56.2540.27.56.255254
580.27.57.0/240.27.57.1 to 0.27.57.2540.27.57.255254
590.27.58.0/240.27.58.1 to 0.27.58.2540.27.58.255254
600.27.59.0/240.27.59.1 to 0.27.59.2540.27.59.255254
610.27.60.0/240.27.60.1 to 0.27.60.2540.27.60.255254
620.27.61.0/240.27.61.1 to 0.27.61.2540.27.61.255254
630.27.62.0/240.27.62.1 to 0.27.62.2540.27.62.255254
640.27.63.0/240.27.63.1 to 0.27.63.2540.27.63.255254
650.27.64.0/240.27.64.1 to 0.27.64.2540.27.64.255254
660.27.65.0/240.27.65.1 to 0.27.65.2540.27.65.255254
670.27.66.0/240.27.66.1 to 0.27.66.2540.27.66.255254
680.27.67.0/240.27.67.1 to 0.27.67.2540.27.67.255254
690.27.68.0/240.27.68.1 to 0.27.68.2540.27.68.255254
700.27.69.0/240.27.69.1 to 0.27.69.2540.27.69.255254
710.27.70.0/240.27.70.1 to 0.27.70.2540.27.70.255254
720.27.71.0/240.27.71.1 to 0.27.71.2540.27.71.255254
730.27.72.0/240.27.72.1 to 0.27.72.2540.27.72.255254
740.27.73.0/240.27.73.1 to 0.27.73.2540.27.73.255254
750.27.74.0/240.27.74.1 to 0.27.74.2540.27.74.255254
760.27.75.0/240.27.75.1 to 0.27.75.2540.27.75.255254
770.27.76.0/240.27.76.1 to 0.27.76.2540.27.76.255254
780.27.77.0/240.27.77.1 to 0.27.77.2540.27.77.255254
790.27.78.0/240.27.78.1 to 0.27.78.2540.27.78.255254
800.27.79.0/240.27.79.1 to 0.27.79.2540.27.79.255254
810.27.80.0/240.27.80.1 to 0.27.80.2540.27.80.255254
820.27.81.0/240.27.81.1 to 0.27.81.2540.27.81.255254
830.27.82.0/240.27.82.1 to 0.27.82.2540.27.82.255254
840.27.83.0/240.27.83.1 to 0.27.83.2540.27.83.255254
850.27.84.0/240.27.84.1 to 0.27.84.2540.27.84.255254
860.27.85.0/240.27.85.1 to 0.27.85.2540.27.85.255254
870.27.86.0/240.27.86.1 to 0.27.86.2540.27.86.255254
880.27.87.0/240.27.87.1 to 0.27.87.2540.27.87.255254
890.27.88.0/240.27.88.1 to 0.27.88.2540.27.88.255254
900.27.89.0/240.27.89.1 to 0.27.89.2540.27.89.255254
910.27.90.0/240.27.90.1 to 0.27.90.2540.27.90.255254
920.27.91.0/240.27.91.1 to 0.27.91.2540.27.91.255254
930.27.92.0/240.27.92.1 to 0.27.92.2540.27.92.255254
940.27.93.0/240.27.93.1 to 0.27.93.2540.27.93.255254
950.27.94.0/240.27.94.1 to 0.27.94.2540.27.94.255254
960.27.95.0/240.27.95.1 to 0.27.95.2540.27.95.255254
970.27.96.0/240.27.96.1 to 0.27.96.2540.27.96.255254
980.27.97.0/240.27.97.1 to 0.27.97.2540.27.97.255254
990.27.98.0/240.27.98.1 to 0.27.98.2540.27.98.255254
1000.27.99.0/240.27.99.1 to 0.27.99.2540.27.99.255254
1010.27.100.0/240.27.100.1 to 0.27.100.2540.27.100.255254
1020.27.101.0/240.27.101.1 to 0.27.101.2540.27.101.255254
1030.27.102.0/240.27.102.1 to 0.27.102.2540.27.102.255254
1040.27.103.0/240.27.103.1 to 0.27.103.2540.27.103.255254
1050.27.104.0/240.27.104.1 to 0.27.104.2540.27.104.255254
1060.27.105.0/240.27.105.1 to 0.27.105.2540.27.105.255254
1070.27.106.0/240.27.106.1 to 0.27.106.2540.27.106.255254
1080.27.107.0/240.27.107.1 to 0.27.107.2540.27.107.255254
1090.27.108.0/240.27.108.1 to 0.27.108.2540.27.108.255254
1100.27.109.0/240.27.109.1 to 0.27.109.2540.27.109.255254
1110.27.110.0/240.27.110.1 to 0.27.110.2540.27.110.255254
1120.27.111.0/240.27.111.1 to 0.27.111.2540.27.111.255254
1130.27.112.0/240.27.112.1 to 0.27.112.2540.27.112.255254
1140.27.113.0/240.27.113.1 to 0.27.113.2540.27.113.255254
1150.27.114.0/240.27.114.1 to 0.27.114.2540.27.114.255254
1160.27.115.0/240.27.115.1 to 0.27.115.2540.27.115.255254
1170.27.116.0/240.27.116.1 to 0.27.116.2540.27.116.255254
1180.27.117.0/240.27.117.1 to 0.27.117.2540.27.117.255254
1190.27.118.0/240.27.118.1 to 0.27.118.2540.27.118.255254
1200.27.119.0/240.27.119.1 to 0.27.119.2540.27.119.255254
1210.27.120.0/240.27.120.1 to 0.27.120.2540.27.120.255254
1220.27.121.0/240.27.121.1 to 0.27.121.2540.27.121.255254
1230.27.122.0/240.27.122.1 to 0.27.122.2540.27.122.255254
1240.27.123.0/240.27.123.1 to 0.27.123.2540.27.123.255254
1250.27.124.0/240.27.124.1 to 0.27.124.2540.27.124.255254
1260.27.125.0/240.27.125.1 to 0.27.125.2540.27.125.255254
1270.27.126.0/240.27.126.1 to 0.27.126.2540.27.126.255254
1280.27.127.0/240.27.127.1 to 0.27.127.2540.27.127.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses